'use strict';
const express = require('express');
const controller = require('./bills.controller');
const router = express.Router();
const VerifyToken = require('../auths/verifyToken');
router.get('/fetch-pdf/:id',controller.fetchpdf);
router.get('/', VerifyToken, controller.index);
router.get('/:id', VerifyToken, controller.retrieveByUser);
router.get('/:id', VerifyToken, controller.retrieve);
router.put('/update-pdf/:id', VerifyToken, controller.updatePdf);
router.delete('/:id', VerifyToken, controller.delete);
router.post('/create-pdf',VerifyToken,controller.createpdf);
router.put('/:id', VerifyToken, controller.update);
router.post('/create-pdf-report',VerifyToken,controller.createPdfReport);
module.exports = router;